Bug 879253 - 3.2 - [vdsm] ConnectStoragePool fail with 2 hosts in NFS due to stale cache
3.2 - [vdsm] ConnectStoragePool fail with 2 hosts in NFS due to stale cache
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm (Show other bugs)
3.2.0
x86_64 All
urgent Severity urgent
: ---
: 3.2.0
Assigned To: Federico Simoncelli
Elad
storage
: Regression, ZStream
: 882641 (view as bug list)
Depends On:
Blocks: 884318 896518 915537
  Show dependency treegraph
 
Reported: 2012-11-22 08:04 EST by Gadi Ickowicz
Modified: 2016-02-10 15:21 EST (History)
14 users (show)

See Also:
Fixed In Version: vdsm-4.10.2-2.0
Doc Type: Bug Fix
Doc Text:
Previously, when creating the first storage domain in a setup that included 2 hosts, the hosts failed to create the initial pool and returned an error during connectStoragePool which read "Wrong Master Domain or Version" due to stale cache in VDSM. A patch to VDSM corrects this error, and creating the first storage domain in a setup that includes two hosts now successfully creates the initial pool.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-10 16:35:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
vdsm + engine logs (5.76 MB, application/x-bzip)
2012-11-22 08:04 EST, Gadi Ickowicz
no flags Details

  None (edit)
Description Gadi Ickowicz 2012-11-22 08:04:17 EST
Created attachment 649788 [details]
vdsm + engine logs

Description of problem:
When creating the first storage domain in a setup 2 hosts, hosts fail to create the initial pool, with an error during connectStoragePool - "Wrong Master Domain or Version" due to stale cache in vdsm.

The following flow is executed:
1. ConnectStorageServer is sent to Host1
2. CreateStorageDomain is sent to Host1
3. CreateStoragePool is sent to Host2 (After connectStorageServer)
4. ConnectStoragePool is sent to Host1 and fails

Version-Release number of selected component (if applicable):
vdsm-4.9.6-44.0.el6_3.x86_64

How reproducible:
100%

Steps to Reproduce:
Reproduced with automated test that performs the following:

1. Add hosts
2. Create storage domain (NFS)
3. Attach storage domain to datacenter

  
Actual results:
ConnectStoragePool fails with error described above

Expected results:
ConnectStoragePool should succeed

Additional info:
Comment 2 Yaniv Kaul 2012-11-22 08:07:05 EST
Isn't it a regression?
Comment 3 Haim 2012-11-22 08:36:51 EST
(In reply to comment #2)
> Isn't it a regression?

Yes, from SI24.2. 

suspicious commit: 9814e4c5745d84b805f5d93cc3a5e979b2fc25e3
Comment 4 Ayal Baron 2012-11-25 05:23:18 EST
Fede, isn't this http://gerrit.ovirt.org/#/c/9422/ ?
If so please update commit message and move to post.
Comment 5 Federico Simoncelli 2012-11-26 16:25:06 EST
commit 9d042bdd276c4a3a6c75fe506bb5897044c8ebf8
Author: Federico Simoncelli <fsimonce@redhat.com>
Date:   Thu Nov 22 09:04:00 2012 -0500

    sdcache: add refresh to connectStoragePool
    
    Change-Id: I2d3adcff7bb0e97be5c797cd720c6353920d9db0
    Signed-off-by: Federico Simoncelli <fsimonce@redhat.com>

http://gerrit.ovirt.org/#/c/9422/
Comment 10 Chris Pelland 2013-03-12 13:21:30 EDT
*** Bug 882641 has been marked as a duplicate of this bug. ***
Comment 11 Elad 2013-03-14 06:46:21 EDT
Verified on SF10. 3 reproductions succeeded.
Comment 12 Cheryn Tan 2013-04-03 03:02:14 EDT
This bug is currently attached to errata RHBA-2012:14332. If this change is not to be documented in the text for this errata please either remove it from the errata, set the requires_doc_text flag to minus (-), or leave a "Doc Text" value of "--no tech note required" if you do not have permission to alter the flag.

Otherwise to aid in the development of relevant and accurate release documentation, please fill out the "Doc Text" field above with these four (4) pieces of information:

* Cause: What actions or circumstances cause this bug to present.

* Consequence: What happens when the bug presents.

* Fix: What was done to fix the bug.

* Result: What now happens when the actions or circumstances above occur. (NB: this is not the same as 'the bug doesn't present anymore')

Once filled out, please set the "Doc Type" field to the appropriate value for the type of change made and submit your edits to the bug.

For further details on the Cause, Consequence, Fix, Result format please refer to:

https://bugzilla.redhat.com/page.cgi?id=fields.html#cf_release_notes

Thanks in advance.
Comment 13 Federico Simoncelli 2013-06-07 05:59:44 EDT
Doc Text is correct.
Comment 15 errata-xmlrpc 2013-06-10 16:35:20 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0886.html

Note You need to log in before you can comment on or make changes to this bug.